### Function

# EDataServerUI4 trust_prompt_describe_certificate_errors

since: 3.16

#### Declaration [src]

    gchar*
    e_trust_prompt_describe_certificate_errors (
      GTlsCertificateFlags flags
    )

#### Description [src]

Converts `flags` into a localized text description of the set bits, one bit description per line. If no bit is set, then an empty string is returned.

Available since: 3.16

#### Parameters

`flags`

  Type: `GTlsCertificateFlags`

  A `GTlsCertificateFlags` to describe.

#### Return value

Type: `gchar*`

A newly allocated string with text description of `flags`. Free the returned pointer with `g_free()` when no longer needed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.